# drawing-app

CRDT-based p2p Drawing Application

## Set up

### Fetch submodules

```
> git submodule update --init
```

### Install

```
> npm install
```

### Build

```
> npm run build
```

### Run the server

```
> npm start
```

### Open in browser

Using a modern browser that supports WebRTC, like a recent version of Chrome or Firefox, open several windows of [http://localhost:3000](http://localhost:3000).
They will &ndash; for now &ndash; automatically connect with each other using the server for signalling.

## Development

### Precommit Checks

The project is supplied with a `.pre-commit-config.yml`. This file defines the checks that [pre-commit](https://pre-commit.com/) must execute on every `git commit`.
To use pre-commit (RECOMMENDED):

1. Install it, following the instructions available at the link provided;
2. Hook it to the project, by running `pre-commit install` from the project's root directory.
   Whenever a pre-commit check fails, it fixes the code in place for you and aborts the commit.
   You therefore have to `git add .` and reissue the `git commit` command.

## License

MIT
