const merge = require("webpack-merge")
const common = require("./webpack.common.js")
const BundleAnalyzerPlugin = require("webpack-bundle-analyzer")
  .BundleAnalyzerPlugin

module.exports = (env) =>
  merge(common, {
    mode: "production",
    plugins: env && env.analyze ? [new BundleAnalyzerPlugin()] : [],
  })
